Apps: Upsert Banno Config
Note
This is only available if banno flag is enabled for your pulsate app
POST /apps/{app_id}/upsert_banno_configPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
client_id |
string | Yes | Client id of banno |
client_secret |
string | Yes | Client secret of banno |
institution_id |
string | Yes | Institution id of banno app |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request POST \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/upsert_banno_config \ --header 'Authorization: Token token={my_admin_api_token}' \ --header 'Content-type: application/json' \ --data '{ "client_id": "test client id", "client_secret": "testing client_secret", "institution_id": "testing institution_id"}'Responses
Section titled “Responses”200
{ "client_id": "test", "client_secret": "test", "institution_id": "test"}
